# coding: utf-8

module Valuevaluevalue
  class Unit
    attr_accessor :name, :abbreviation

    def initialize(name, abbreviation)
      @name         = name
      @abbreviation = abbreviation
    end
  end

  class MassUnit < Unit
    attr_accessor :mass_in_kg

    def initialize(name, abbreviation, mass_in_kg)
      super(name, abbreviation)
      @mass_in_kg = mass_in_kg
    end
  end
end
